PeopleForce
Employees

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

Create an employee document

POST
/api/public/v1/employees/{employee_id}/documents

Path Parameters

employee_id*integer

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v1/employees/0/documents" \  -F document="string" \  -F document_folder_id="string" \  -F name="string"
{  "data": {    "id": 0,    "name": "string",    "type": "string",    "url": "string",    "expires_at": "string",    "document_folder": {      "id": 0,      "name": "string",      "description": null,      "created_at": "string",      "updated_at": "string"    },    "external_signature_id": null,    "external_signature_document_id": null,    "created_at": "string",    "updated_at": "string"  }}